<div id="conformance-tests">
  <form [formGroup]="searchForm" class="mt-2">
    <div class="d-flex align-items-center">
      <div
        class="d-flex align-items-center justify-content-between spec-filters"
      >
        <mat-form-field
          appearance="outline"
          class="slabs-select-filter spec-select-filter"
        >
          <mat-label>Specification</mat-label>
          <mat-icon
            matPrefix
            color="primary"
            [ngClass]="{
              'text-disabled': searchForm.disabled
            }"
            class="material-icons-outlined"
          >
            filter_alt
          </mat-icon>
          <mat-select formControlName="specification">
            <mat-option [value]="'spec1'"> Spec 1 </mat-option>
            <mat-option [value]="'spec2'"> Spec 2 </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field
          appearance="outline"
          class="slabs-select-filter spec-select-filter"
        >
          <mat-label>Spec. last update</mat-label>
          <mat-icon
            matPrefix
            color="primary"
            [ngClass]="{
              'text-disabled': searchForm.disabled
            }"
            class="material-icons-outlined"
          >
            filter_alt
          </mat-icon>
          <mat-select formControlName="lastUpdate">
            <mat-option [value]="'date1'"> date 1 </mat-option>
            <mat-option [value]="'date2'"> date 2 </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field
          appearance="outline"
          class="slabs-select-filter spec-select-filter"
        >
          <mat-label>Status</mat-label>
          <mat-icon
            matPrefix
            color="primary"
            [ngClass]="{
              'text-disabled': searchForm.disabled
            }"
            class="material-icons-outlined"
          >
            filter_alt
          </mat-icon>
          <mat-select formControlName="status">
            <mat-option [value]="'status1'"> status 1 </mat-option>
            <mat-option [value]="'status2'"> status 2 </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </div>
  </form>

  <mat-accordion togglePosition="before">
    <mat-expansion-panel expanded class="specification-panel border-grey-500">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <div
            (click)="$event.stopPropagation()"
            (keydown)="$event.stopPropagation()"
          >
            <mat-checkbox
              [checked]="specificationCheckbox().selected"
              [indeterminate]="partiallyComplete()"
              (change)="onCheckboxChange($event.checked)"
              [disabled]="specificationCheckbox().disabled"
            >
            </mat-checkbox>
          </div>
          {{ submittedTest?.customComponent?.specificationDescription }}
        </mat-panel-title>

        <mat-panel-description class="align-items-center mr-3">
          <b>Spec. last update</b>&nbsp;
          {{
            submittedTest?.customComponent?.specificationLastUpdate
              | date: "dd/M/yyyy"
          }}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

          <b>N° Test Suite</b>&nbsp;{{ testSuites.length }}

          <span class="spacer"></span>

          <b>Status</b>&nbsp;&nbsp;
          <div class="slabs-comp ec-chips-theme">
            <mat-chip
              highlighted
              class="slabs-chip"
              [color]="
                status2ChipColor.get(
                  submittedTest?.customComponent?.status!.toUpperCase()
                )
              "
            >
              {{ submittedTest?.customComponent?.status }}
            </mat-chip>
          </div>
        </mat-panel-description>
      </mat-expansion-panel-header>

      <app-test-suites-table
        [suiteCheckboxes]="suiteCheckboxes"
        [testSuites]="testSuites"
        [testCases]="testCases"
        [customComponent]="submittedTest?.customComponent!"
        (checkedEvent)="onTableCheckboxChange($event)"
        (testCaseInfoShowEvent)="openTestCaseInfoDrawer($event)"
      ></app-test-suites-table>
    </mat-expansion-panel>
  </mat-accordion>
</div>
